{% load static %}
<div class="options-filter">
    {% for field_name, facet in base_filter.facet_data.primary.items %}
        {% if facet.results|length %}
            {% with facet_data|get_item:field_name as active_facet %}
                <form class="filter-form desktop options {% if active_facet.results|length == 0 %}disabled{% endif %}" name="{{ field_name }}">
                    <div class="option-box show_5">
                        <span class="option-title">{{ facet.name }}</span>
                        <div class="option-list">
                            {% for variant in facet.results %}
                                {% with active_facet|get_facet_result:variant.name as active_variant %}
                                    {% if variant.count > 0 %}
                                        <div class="option-item">
                                            <label class="toggle t-label-variant2">
                                                <input type="checkbox"
                                                    id="check-{{ field_name }}-{{ forloop.counter }}"
                                                    name="check-{{ field_name }}-{{ forloop.counter }}Mobile"
                                                    class="filter-control"
                                                    value="{{ variant.name }}"
                                                    {% if active_variant %}
                                                        {% if active_variant.selected %}checked{% endif %}
                                                        {% if active_variant.disabled %}disabled{% endif %}
                                                    {% else %}
                                                        disabled
                                                    {% endif %}
                                                >
                                                <p></p>
                                                <span class="option-name">{{ variant.name }}</span>
                                            </label>
                                        </div>
                                    {% endif %}
                                {% endwith %}
                            {% endfor %}
                        </div>
                        <div class="option-more-btn">показать все</div>
                        <div class="option-more-btn option-close-btn">скрыть все</div>
                    </div>
                </form>
            {% endwith %}
        {% endif %}
    {% endfor %}
    <div class="hidden-xs">

        <div class="filter-title">
            <div class="t-title">Ищите что-то конкретное?</div>
            <span>Задайте дополнительные параметры для&nbsp;продукта</span>
        </div>
        {% for field_name, facet in base_filter.facet_data.attrs.items %}
            {% if facet.results|length %}
                {% with facet_data|get_item:field_name as active_facet %}
                    <form class="filter-form desktop options {% if active_facet.results|length == 0 %}disabled{% endif %}" name="{{ field_name }}">
                        <div class="option-box option-box_variant2">
                            <span class="option-title">
                                {{ facet.name }}
                                <img src="{% static 'img/icons/systemic/down.svg' %}" alt="" class="active-arrow img-svg">
                                <img src="{% static 'img/icons/systemic/top.svg' %}" alt="" class="passive-arrow img-svg">
                            </span>
                            <div class="option-list">
                                {% for variant in facet.results %}
                                    {% with active_facet|get_facet_result:variant.name as active_variant %}
                                        {% if variant.count > 0 %}
                                            <div class="option-item">
                                                <label class="toggle t-label-variant2">
                                                    <input type="checkbox"
                                                        id="check-{{ field_name }}-{{ forloop.counter }}"
                                                        name="check-{{ field_name }}-{{ forloop.counter }}Mobile"
                                                        class="filter-control"
                                                        value="{{ variant.name }}"
                                                        {% if active_variant %}
                                                            {% if active_variant.selected %}checked{% endif %}
                                                            {% if active_variant.disabled %}disabled{% endif %}
                                                        {% else %}
                                                            disabled
                                                        {% endif %}
                                                    >
                                                    <p></p>
                                                    <span class="option-name">{{ variant.name }}</span>
                                                </label>
                                            </div>
                                        {% endif %}
                                    {% endwith %}
                                {% endfor %}
                            </div>
                        </div>
                    </form>
                {% endwith %}
            {% endif %}
        {% endfor %}

    </div>

</div>